Bug 11847 - raw-io patches don't export symbols to modules.
raw-io patches don't export symbols to modules.
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-02 05:43 EDT by David Woodhouse
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-02 05:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2000-06-02 05:43:21 EDT
This is missing from the raw-io kernel patch in the 6.2 2.2.14 kernel:

Index: ksyms.c
===================================================================
RCS file: /cvs/linux/kernel/ksyms.c,v
retrieving revision 1.17
diff -u -w -r1.17 ksyms.c
--- ksyms.c     2000/05/04 08:34:53     1.17
+++ ksyms.c     2000/06/02 09:37:13
@@ -39,6 +39,7 @@
 #include <linux/poll.h>
 #include <linux/mm.h>
 #include <linux/capability.h>
+#include <linux/iobuf.h>

 #if defined(CONFIG_PROC_FS)
 #include <linux/proc_fs.h>
@@ -320,6 +329,14 @@
 EXPORT_SYMBOL(disable_hlt);
 EXPORT_SYMBOL(enable_hlt); 
 #endif
+
+/* Raw I/O */
+EXPORT_SYMBOL(alloc_kiovec);
+EXPORT_SYMBOL(free_kiovec); 
+EXPORT_SYMBOL(expand_kiobuf);
+EXPORT_SYMBOL(map_user_kiobuf);
+EXPORT_SYMBOL(unmap_kiobuf);   
+EXPORT_SYMBOL(brw_kiovec);     

 /* IO port handling */
 EXPORT_SYMBOL(check_region);
Comment 1 Stephen Tweedie 2000-06-13 17:24:11 EDT
Will be exported in the next 6.2 kernel.

Note You need to log in before you can comment on or make changes to this bug.